Create New Agent Version
curl --request POST \
--url https://api.example.com/agents/{id}/version-controlimport requests
url = "https://api.example.com/agents/{id}/version-control"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/agents/{id}/version-control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agents
Create New Agent Version
Creates a new version for an agent.
POST
/
agents
/
{id}
/
version-control
Create New Agent Version
Endpoint
POST https://gateway.orkeia.ai/agents/{id}/version-control
Headers
authorization: <your_token>
Content-Type: application/json
Path Parameters
{
"id": "Agent ID (required)"
}
Request Body
| Field | Type | Optional | Description | Example |
|---|---|---|---|---|
| responsible | string | No | Responsible for the version | ”Orkeia-dev-team” |
| responsibleId | string | No | ID of the responsible person | ”12345abc” |
| action | string | No | What was done | ”Created new agent” |
| type | success/ fail/ neutral | No | Classifies the result of the action | Success |
| date | Date | No | Event date (ISO 8601 format) | “2025-08-22T18:32:45.000Z” |
| versionControl | string | Yes | Version name | 1.0.0 |
{
"notes": "Description of changes in this version."
}
Example (cURL)
curl -X POST "https://gateway.orkeia.ai/agents/agent123/version-control" \
-H "authorization: <your_token>" \
-H "Content-Type: application/json" \
-d '{ "notes": "Description of changes in this version."}'
Response
{
"version": 3,
"timestamp": "2024-07-20T10:00:00Z"
}
Was this page helpful?
⌘I
